<?php
/* Post options */
add_action('admin_init', 'add_post_feat');
add_action('save_post', 'update_feat_post');

function add_post_feat(){
	add_meta_box("post_details", __("More post options",'ShocK'), "post_options", "post", "normal", "low");
}

function post_options(){
	global $post;
	if (empty($post))return;
	$custom = get_post_custom($post->ID);
	if (!empty($custom["feat_post"])){
		$feat_post = $custom["feat_post"][0];
	}else{
		$feat_post='off';
	}
?>
	<div id="posts-options">
		<label><?php _e('Featured Post:','ShocK');?></label>
		<input type="checkbox" name="feat_post" id="feat_post" value="on" <?php if($feat_post == 'on'){?> checked="checked" <?php }?> />
	</div>
<?php
}

function update_feat_post(){
	global $post;
	if (empty($post))
		return;
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE )
		return;

	if ( !empty($_POST["feat_post"]) ){

		update_post_meta($post->ID, "feat_post", 'on');
	}else{
		update_post_meta($post->ID, "feat_post", 'off');
	}
}

/**********************/
/* Remove Title Page */
/********************/

add_action('admin_init', 'remove_title_page');
add_action('save_post', 'update_remove_title_page');

function remove_title_page(){
	add_meta_box("page_details", __("More page options",'ShocK'), "page_options", "page", "side", "default");
}

function page_options(){
	global $post;
	if (empty($post))return;
	$custom = get_post_custom($post->ID);
	if (!empty($custom["remove_title_page"])){
		$remove_title = $custom["remove_title_page"][0];
	}else{
		$remove_title='off';
	}
	if (!empty($custom["remove_box_content"])){
		$removeBoxContent = $custom["remove_box_content"][0];
	}else{
		$removeBoxContent ='off';
	}
	?>
	<div id="posts-options">
	<label><?php _e('Remove Title:','ShocK');?></label>
	<input type="checkbox" name="remove_title_page" id="remove_title_page" <?php echo ($remove_title == 'on')?'checked="checked"':''?> />
	<div class="clearfix"></div>
	<label><?php _e('Remove Box Content:','ShocK');?></label>
	<input type="checkbox" name="remove_box_content" id="remove_box_content" <?php echo ($removeBoxContent == 'on')?'checked="checked"':''?> />
	</div><?php
}

function update_remove_title_page(){
	global $post;
	if (empty($post))return;
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE )return;
	if (isset($_POST["remove_title_page"]) || isset($_POST["remove_box_content"])){
		update_post_meta($post->ID, "remove_title_page", $_POST["remove_title_page"]);
		update_post_meta($post->ID, "remove_box_content", $_POST["remove_box_content"]);
	}else{
		update_post_meta($post->ID, "remove_title_page", 'off');
		update_post_meta($post->ID, "remove_box_content", 'off');
	}
}
?>